Subject: [Qirg] IETF 104 Hackathon?

From: Wojciech Kozlowski <[email-masked]>
Date: Mon, 4 Mar 2019 13:55:25 +0100

Hi all,

We have a QIRG meeting scheduled for the IETF in Prague and I was 
thinking about the hackathon that will happen over the weekend prior to 
the meeting itself <https://www.ietf.org/how/runningcode/hackathons/>. 
The entire event is free and open to the public as well though most of 
the attendees are IETF participants themselves.

_*Would people on this list be interested in participating in the 
hackathon?*_

Please indicate your level of interest on this doodle poll 
<https://doodle.com/poll/k4rzgbc37ie5vqte> (feel free to keep it 
anonymous, I am only trying to gauge interest).

There already was a Quantum Internet hackathon in Amsterdam 
<https://ripe77.ripe.net/wp-content/uploads/presentations/62-quantum-internet-hackathon-results-ripe77-3.pdf> 
which was a very exciting event bringing in physicists and classical 
networking people together. One of the outcomes was the Entanglement 
Advertisement draft presented at the last meeting.

What could be the goal at this hackathon? The focus should be primarily 
educational and aim to bring in as many classical networking folk into 
the world of quantum. It would be great to tie it in with the tutorial 
that will be offered on Monday. However, I would try to focus on two things.

 1. Practical applications for the near term that can run on real
    hardware subject to real constraints like memory, qubit lifetimes
    etc. Specifically, ones that may run on the Dutch demo network in
    2020 (4 nodes between Delft, Hague, Leiden, and Amsterdam). This is
    to get the point across to the community that quantum networks
    aren't just a theoretical concept.

 2. Second, develop applications beyond the near term. What is
    theoretically possible? This is to address one of the points in the
    QIRG charter about finding out what we can do with quantum networks.

In terms of practical things, what is there to hack on? There is 
SimulaQron <http://www.simulaqron.org/> which is developed at TU Delft. 
This is a quantum network simulator and it provides the same API that 
the real hardware in the 2020 demo will have. Other than that, I'm sure 
other members of this mailing list have some platforms of their own for 
exploring more forward looking applications as well.

*Please feel free to propose any project ideas you may have!*

Some ideas from me (some of the applications should be possible to 
implement in a very simplified form for the demo network):

  * Implement the entanglement advertisement draft
  * Anonymous quantum state transfer
  * Bit commitment
      o Over a trusted network
      o Measurement-device independent
      o Device independent
  * Blind Quantum Computation
  * QKD variants (e.g device-independent)
  * Conference Key agreement (multi-party QKD)
  * Quantum Secret Sharing
  * Consensus algorithms (e.g. Byzantine)
  * Leader election algorithms
  * Coin-flipping
  * Formal verification of quantum algorithms

Any thoughts?

Thanks,
Wojciech

---

From: Shota NAGAYAMA <[email-masked]>
Date: Sat, 9 Mar 2019 19:36:00 +0900

Hi Hackathon participants :)

As I just posted in another thread, I'll be at the IETF Hackathon and will
work on continued project from the last Hackathon in Thailand. My plan is
defining "quantum ping". Not implementing, just discussing and writing a
document.
- What is the abstraction of the quantum ping in the Quantum Internet
- What functionalities quantum ping should have
- How functionalities be realized in quantum plane and classical plane
- etc.

Whoever interested is welcome to join this project. If we have a number of
projects, hopefully we take adjacent tables ;)

--Shota

On Mon, Mar 4, 2019 at 9:55 PM Wojciech Kozlowski <[email-masked]>
wrote:

> Hi all,
>
> We have a QIRG meeting scheduled for the IETF in Prague and I was thinking
> about the hackathon that will happen over the weekend prior to the
> meeting itself <https://www.ietf.org/how/runningcode/hackathons/>. The
> entire event is free and open to the public as well though most of the
> attendees are IETF participants themselves.
>
> *Would people on this list be interested in participating in the
> hackathon?*
>
> educational and aim to bring in as many classical networking folk into the
> world of quantum. It would be great to tie it in with the tutorial that
> will be offered on Monday. However, I would try to focus on two things.
>
>    hardware subject to real constraints like memory, qubit lifetimes etc.
>    Specifically, ones that may run on the Dutch demo network in 2020 (4 nodes
>    between Delft, Hague, Leiden, and Amsterdam). This is to get the point
>    across to the community that quantum networks aren't just a theoretical
>    concept.
>
>
>    1. Second, develop applications beyond the near term. What is
>    theoretically possible? This is to address one of the points in the QIRG
>    charter about finding out what we can do with quantum networks.
>
> This is a quantum network simulator and it provides the same API that the
> real hardware in the 2020 demo will have. Other than that, I'm sure other
> members of this mailing list have some platforms of their own for exploring
> more forward looking applications as well.
>
>    - Implement the entanglement advertisement draft
>    - Anonymous quantum state transfer
>    - Bit commitment
>       - Over a trusted network
>       - Measurement-device independent
>       - Device independent
>    - Blind Quantum Computation
>    - QKD variants (e.g device-independent)
>    - Conference Key agreement (multi-party QKD)
>    - Quantum Secret Sharing
>    - Consensus algorithms (e.g. Byzantine)
>    - Leader election algorithms
>    - Coin-flipping
>    - Formal verification of quantum algorithms
>
> Any thoughts?
>
> Thanks,
> Wojciech
> _______________________________________________
> Qirg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/qirg
>

---

From: Wojciech Kozlowski <[email-masked]>
Date: Mon, 11 Mar 2019 10:19:46 +0100

Hi all,

If you would like to participate in the hackathon, please remember to 
register at

https://www.ietf.org/registration/ietf104/hackathonregistration.py

There is some interest in remote participation. You still have to 
register. Please let me know if you are participating remotely. I'm 
happy to act as your "anchor" with the in-person team.

Thanks,
Wojtek

On 09/03/2019 11:36, Shota NAGAYAMA wrote:
> As I just posted in another thread, I'll be at the IETF Hackathon and 
> will work on continued project from the last Hackathon in Thailand. My 
> plan is defining "quantum ping". Not implementing, just discussing and 
> writing a document.
> Whoever interested is welcome to join this project. If we have a 
> number of projects, hopefully we take adjacent tables ;)
>
> --Shota
>
>
> On Mon, Mar 4, 2019 at 9:55 PM Wojciech Kozlowski 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Hi all,
>
>     thinking about the hackathon that will happen over the weekend
>     prior to the meeting itself
>     <https://www.ietf.org/how/runningcode/hackathons/>. The entire
>     event is free and open to the public as well though most of the
>     which was a very exciting event bringing in physicists and
>     classical networking people together. One of the outcomes was the
>     Entanglement Advertisement draft presented at the last meeting.
>
>     What could be the goal at this hackathon? The focus should be
>     primarily educational and aim to bring in as many classical
>     networking folk into the world of quantum. It would be great to
>     tie it in with the tutorial that will be offered on Monday.
>     However, I would try to focus on two things.
>
>         hardware subject to real constraints like memory, qubit
>         lifetimes etc. Specifically, ones that may run on the Dutch
>         demo network in 2020 (4 nodes between Delft, Hague, Leiden,
>         and Amsterdam). This is to get the point across to the
>         community that quantum networks aren't just a theoretical concept.
>
>         theoretically possible? This is to address one of the points
>         in the QIRG charter about finding out what we can do with
>         quantum networks.
>
>     SimulaQron <http://www.simulaqron.org/> which is developed at TU
>     Delft. This is a quantum network simulator and it provides the
>     same API that the real hardware in the 2020 demo will have. Other
>     than that, I'm sure other members of this mailing list have some
>     platforms of their own for exploring more forward looking
>     applications as well.
>
>     [email-masked] <mailto:[email-masked]>

---

From: Shota NAGAYAMA <[email-masked]>
Date: Sat, 23 Mar 2019 08:43:55 +0100

Hi hackathon attendees,

I've got a table for Quantum Networking group. The table is near the
projector. Please find it when you come to the Grand Ballroom.

--Shota

On Mon, Mar 11, 2019 at 10:19 AM Wojciech Kozlowski <[email-masked]>
wrote:

> register. Please let me know if you are participating remotely. I'm happy
> to act as your "anchor" with the in-person team.
>
> Thanks,
> Wojtek
>
>> The entire event is free and open to the public as well though most of the